## po-debconf 1.0.10

=== doc/Makefile ===

pod2man = pod2man -r '' -c po-debconf

MANS = debconf-gettextize.1 debconf-updatepo.1 \
  po2debconf.1 podebconf-display-po.1 podebconf-report-po.1 \
  po-debconf.7

default:
	po4a -v --previous --rm-backups po4a/po-debconf.cfg
	for l in de en fr pt ru vi; do \
	  for m in $(MANS); do \
	    test -f $$l/$$m.pod || continue; \
	    s=`echo $$m | sed -e 's/.*\.//'`; \
	    p=`echo $$m | sed -e 's/\..//'`; \
	    cp $$l/$$m.pod $$p.pod; \
	    $(pod2man) --section=$$s $$p.pod > $$l/$$p.$$s; \
	    rm -f $$p.pod; \
	    test $$l = en || mv $$l/$$p.$$s $$l/$$p.$$l.$$s; \
	  done; \
	done
	# groff does not support UTF-8 pages.
	@echo build the Vietnames HTML pages
	for m in $(MANS); do \
	    test -f vi/$$m.pod || continue; \
	    pod2html --quiet --noindex vi/$$m.pod > vi/$$m.html; \
	done

clean:
	po4a --previous --rm-translations --rm-backups po4a/po-debconf.cfg
	-rm -f de/*.? en/*.? fr/*.? pt/*.? ru/*.? vi/*.? vi/*.?.html pod2htmd.tmp pod2htmi.tmp

=== debian/changelog ===
po-debconf (1.0.10) unstable; urgency=low

  [ debconf-updatepo ]
  * Set the Report-Msgid-Bugs-To field of the POT to
    <package>@packages.debian.org instead of the Maintainer address.
    Closes: #383674
  * Add a --msgid-bugs-address option to force the use of an alternative
    address. Closes: #427146

  [ podebconf-report-po ]
  * Fix a typo --mbox is --postpone.
  * Add option --addlanguageteam lang:list to add a list in copy of messages
    sent for a language. Closes: #427824
  * Use mutt -Q postponed to retrieve the postpone mailbox. Thanks to Vagrant
    Cascadian for the trick. Closes: #431639
  * Support Maildir with the --postpone and --mutt options by using
    libmail-box-perl. Thanks to Vagrant Cascadian for suggesting support for
    Maildir.
  * Use the same algorithm as devscripts' bts to find the From field. The name
    of the submitter is then guessed from the DEBFULLNAME and DEBEMAIL
    variables, defaulting to the EMAIL environment variable, and using the
    Maintainer: field if none of these variables were set. Closes: #435856
  * Ignore --summary when we are sending call for translations.
    Closes: #421706
  * Update my copyright information.
  * Update the podebconf-report-po version to 0.12.
  * Add option --withtranslators (and --withouttranslators) to enable (and
    disable) sending requests to translators after sending call for
    translation with --call. withtranslators can be specified in the
    configuration file to make it the default behavior of --call.
  * Add options --templatetranslators, --templatesubmit, --templatecall (which
    can be specified in the configuration file) to specify a default template
    for each action.
  * Move the templates from the podebconf-report-po internal code to a new
    /usr/share/po-debconf/templates directory.
  * If the --from option is specified, do not use the from field from the
    configuration file.
  * Change the default subjects for the request for translation updates and
    call for translations. The subjects will now start with the package's
    name and version. Thanks to a suggestion by Helge Kreutzmann.

  [ documentation ]
  * doc/en/podebconf-report-po.1.pod: Fix a typo --mbox is --postpone.
  * doc/en/podebconf-report-po.1.pod: Document --addlanguageteam.
  * doc/en/podebconf-report-po.1.pod: Document the use of DEBFULLNAME and
    EMAIL environment variables.
  * doc/en/podebconf-report-po.1.pod: Document --withtranslators,
    --withouttranslators and the withtranslators configuration variable.
  * doc/en/podebconf-report-po.1.pod: For each option, indicate if it can be
    specified in the configuration file.
  * doc/en/podebconf-report-po.1.pod: Document --templatetranslators,
    --templatesubmit, and --templatecall.
  * doc/en/debconf-updatepo.1.pod: Document the new --msgid-bugs-address
    option and the default address used for the Report-Msgid-Bugs-To field.
  * doc/en/debconf-gettextize.1.pod: Fix description of the --merge option.
    Thanks to Clytie Siddall for noticing the weird wording.
  * doc/en/debconf-gettextize.1.pod, doc/en/debconf-updatepo.1.pod,
    doc/en/po-debconf.7.pod, doc/en/po2debconf.1.pod,
    doc/en/podebconf-display-po.1.pod, doc/en/podebconf-report-po.1.pod: Fix
    typos and wording. Thanks to Helge Kreutzmann. Closes: #444863

  [ documentation translation ]
  * debian/rules: Call po4a with the --previous option.
  * doc/po4a/po/fr.po: Fix a typo <nbsp> -> E<nbsp>.
  * doc/po4a/po/de.po, doc/po4a/add_de/translator.de: New German translation.
    Thanks to Helge Kreutzmann.
    Closes: #444862
  * doc/po4a/po/vi.po, doc/po4a/add_vi/translator.vi: New Vietnamese
    translation. Thanks to Clytie Siddall.
    Closes: #445137
  * doc/po4a/po/pt.po, doc/po4a/add_pt/translator.pt: New Portuguese
    translation. Thanks to Miguel Figueiredo.
    Closes: #446539
  * doc/po4a/po-debconf.cfg, doc/Makefile: Activate the German, Portuguese,
    and Vietnamese translations.
  * doc/Makefile: Build HTML manpages for the Vietnamese translation.
  * doc/po4a/po/ru.po: Updated translation. Thanks to Sergey Alyoshin.
  * doc/po4a/po/fr.po: Likewise. Thanks to Florentin Duneau.

  [ podebconf-display-po ]
  * Issue a warning if a Choice translation contains a comma. Closes: #421138

  [ packaging ]
  * debian/control: Added dependency on libmail-box-perl, this should provide
    a better support for mbox and Maildir.
  * debian/dirs, debian/rules: Install the podebconf-report-po email templates
    in /usr/share/po-debconf/templates.
  * doc/de/.cvsignore, doc/en/.cvsignore, doc/fr/.cvsignore,
    doc/pt/.cvsignore, doc/ru/.cvsignore: Added .cvsignore files for the
    generated pod and roff manpages.
  * doc/.cvsignore: Removed roff pages, added temporary files from pod2html.
  * debian/rules: Install the new German, Portuguese, and Vietnamese manpages.
  * debian/dirs, debian/po-debconf.doc-base, debian/rules: Install HTML
    manpages for the Vietnamese translation.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 14 Oct 2007 01:27:11 +0200

=== debian/control ===
Source: po-debconf
Section: devel
Priority: optional
Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4.0.0), po4a (>= 0.23)
Build-Depends-Indep: perl

Package: po-debconf
Architecture: all
Depends: perl, gettext (>= 0.16), intltool-debian (>= 0.34.2+20060512)
Recommends: libmail-sendmail-perl, libcompress-zlib-perl, libmail-box-perl
Description: manage translated Debconf templates files with gettext
 This package is an alternative to debconf-utils and provide tools
 to manage translated Debconf templates files with common gettext
 utilities.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1
DESTDIR=`pwd`/debian/po-debconf

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) prefix=/usr
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdocs README README-trans
	dh_installdirs

	install -m 0755 debconf-updatepo po2debconf debconf-gettextize $(CURDIR)/debian/po-debconf/usr/bin/
	install -m 0755 podebconf-display-po podebconf-report-po $(CURDIR)/debian/po-debconf/usr/bin/
	install -m 0644 encodings pot-header $(CURDIR)/debian/po-debconf/usr/share/po-debconf
	install -m 0644 doc/vi/*.html $(CURDIR)/debian/po-debconf/usr/share/doc/po-debconf/manpages.vi
	for t in translators submit call; do \
		install -m 0644 podebconf-report-po_templates/$$t \
			$(CURDIR)/debian/po-debconf/usr/share/po-debconf/templates; \
	done
	dh_installman doc/en/*.[1-7] doc/de/*.de.[1-7] doc/fr/*.fr.[1-7] doc/pt/*.pt.[1-7] doc/ru/*.ru.[1-7] doc/vi/*.vi.[1-7]
	dh_installchangelogs
	dh_compress
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# Nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## po-debconf 1.0.15

=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+VERSION = $(shell cd ..; dpkg-parsechangelog | grep -m 1 Version | sed -e 's/Version: //' -e 's/-.*//' -e 's/[[:blank:]]*//g')
 
 pod2man = pod2man -r '' -c po-debconf
 
@@ -6,7 +7,11 @@
   po-debconf.7
 
 default:
-	po4a -v --previous --rm-backups po4a/po-debconf.cfg
+	po4a -v --previous --rm-backups \
+	     --package-name po-debconf \
+	     --package-version $(VERSION) \
+	     --msgid-bugs-address po-debconf@packages.debian.org \
+	     po4a/po-debconf.cfg
 	for l in de en fr pt ru vi; do \
 	  for m in $(MANS); do \
 	    test -f $$l/$$m.pod || continue; \
@@ -14,6 +19,19 @@
 	    p=`echo $$m | sed -e 's/\..//'`; \
 	    cp $$l/$$m.pod $$p.pod; \
 	    $(pod2man) --section=$$s $$p.pod > $$l/$$p.$$s; \
+# Fix the POD quotes (--quotes is not sufficient for the French quotes) \
+	    case $$l in \
+	      de) \
+	        sed -i -e 's/ds C` ""$$/ds C` /' \
+	               -e "s/ds C' \"\"$$/ds C' /" \
+	               $$l/$$p.$$s; \
+	        ;; \
+	      fr) \
+	        sed -i -e 's/ds C` ""$$/ds C` \\ /' \
+	               -e "s/ds C' \"\"$$/ds C' \\\\ /" \
+	               $$l/$$p.$$s; \
+	        ;; \
+	    esac; \
 	    rm -f $$p.pod; \
 	    test $$l = en || mv $$l/$$p.$$s $$l/$$p.$$l.$$s; \
 	  done; \

=== debian/changelog ===
po-debconf (1.0.15) unstable; urgency=low

  [ podebconf-display-po ]
  * Fix breakage when a string appears in multiple files. This removed the
    change applied to fix #375656, and forced the regular expression to be
    done on a temporary string so that the fields can be retrieved on the
    later execution (for the other line references). Closes: #484847

  [ Packaging ]
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed).

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Fri, 13 Jun 2008 01:41:32 +0200

po-debconf (1.0.14) unstable; urgency=low

  [ podebconf-report-po ]
  * Create the temporary file with File::Temp::tempfile() instead of tmpnam().
    This permits to honor the TMP or TMPDIR environment variables.
    Closes: #482097
  * Use the package and version set in the POT file if none were specified
    with an option or found in a debian/changelog. Closes: #481221
  * Keep the <package>, <version>, and <package_and_version> tags if they were
    not filled. Closes: #481222

  [ documentation translation ]
  * doc/Makefile: Set the PACKAGE, VERSION and the Report-Msgid-Bugs-To field.
  * doc/po4a/po/de.po: Updated German translation. Thanks to Helge Kreutzmann.
    Closes: #481821
  * doc/po4a/po/pt.po: Updated Portuguese translation. Thanks to Miguel
    Figueiredo. Closes: #482141
  * doc/po4a/po/ru.po: Updated Russian translation. Thanks to Yuri Kozlov.
    Closes: #482287
  * doc/po4a/po/fr.po: Updated French translation. Thanks to Florentin Duneau.

  [ documentation ]
  * doc/en/podebconf-report-po.1.pod: Document the usage of the potfile for
    the package's name and version.
  * doc/en/podebconf-report-po.1.pod: Change some I<...> formatting to F<...>
    when it reference a file. Closes: #481822
    (unfuzzy the German translation accordingly)
  
  [ packaging ]
  * debian/control: Depend on po4a >= 0.33 for the --package-name,
    --package-version, and --msgid-bugs-address options.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 31 May 2008 18:23:09 +0200

po-debconf (1.0.13) unstable; urgency=low

  [ podebconf-report-po ]
  * When --notdebconf is used, use po/ as the default po directory (instead of
    debian/po). Closes: #480164
  * Added EXAMPLES section for recommended usages.
  * In the --call mode, die if --languageteam is used without the
    --withtranslators option specified. Closes: #480168
  * Change the default to send update requests to translators
    (--withtranslators) when sending calls for translations.
  * It is now possible to specify withouttranslators in the configuration file
    to disable the above behavior.
  * Enable the --languageteam option by default.
  * Add a nolanguageteam option for the configuration file.
  * Allow the specification of a deadline by an offset, when the deadline
    starts with a '+'.
  * Add a --nodeadline option.
  * Add a deadline and nodeadline option for the configuration file.
  * When no deadlines are specified (and the nodeadline option is not
    specified), prompt for a deadline (default deadline is +10days).
  * Automatically detect if a debconf or non-debconf template should be used.
    The --notdebconf option is still useful when the user wants to send a call
    for the debconf translations and for the program translation from the
    package's root directory.

  [ packaging ]
  * Set the doc-base section to Text.

  [ documentation translation ]
  * Updated translation material.
    Fully translated PO files are now 281t8f15u.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Mon, 12 May 2008 14:34:48 +0200

po-debconf (1.0.12.1) unstable; urgency=low

  [ packaging ]
  * debian/rules: Distribute the *-po templates (#462053)

  [ documentation translation ]
  * doc/po4a/po/ru.po: Updated translation. Thanks to Yuri Kozlov.
    Closes: #469056
  * doc/po4a/po/*.po, doc/po4a/po/po-debconf.pot: Updated to the new
    documentation.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Thu, 13 Mar 2008 22:35:01 +0100

po-debconf (1.0.12) unstable; urgency=low

  [ podebconf-report-po ]
  * Add option --sendmessage to send messages to translators without
    attachments.  Closes: #464826
  * Add new templates call-po, submit-po, and translators-po which do not
    mention debconf translation in the subject or body of the messages.
  * Add option --notdebconf for regular (non debconf) translation (use the
    *-po templates).  Closes: #462053
  * Document the --conf option in the Usage.
  * Sort the options alphabetically in the Usage.
  * Allow the usage to be printed even if libmail-sendmail-perl is not
    installed.  Closes: #455897

  [ packaging ]
  * debian/control: Bump Standards-Version to 3.7.3.0. No changes required.

  [ documentation ]
  * doc/en/podebconf-report-po.1.pod: Document --sendmessage and --notdebconf.
  * doc/en/podebconf-report-po.1.pod: Sort the options alphabetically.

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 23 Feb 2008 23:00:09 +0100

po-debconf (1.0.11) unstable; urgency=low

  [ debconf-updatepo ]
  * debconf-updatepo was generating invalid Report-Msgid-Bugs-To.
  Thanks to Colin Watson <cjwatson@debian.org>. Closes: #450923

  [ packaging ]
  * debian/control: Build dependency on po4a raised from 0.23 to 0.31 because
    we use the --previous option. Thanks to Dr. Helge Kreutzmann.
    Closes: #448885

  [ documentation translation ]
  * debian/Makefile: Fix the quotes of the German and French translations
    (for the POD C<...> formatting).
  * doc/po4a/po/de.po: Updated German translation. Thanks to Helge Kreutzmann.
    Closes: #449161

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Tue, 13 Nov 2007 15:39:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 4.0.0), po4a (>= 0.23)
+Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 4.0.0), po4a (>= 0.33)
 Build-Depends-Indep: perl
 
 Package: po-debconf

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	install -m 0755 podebconf-display-po podebconf-report-po $(CURDIR)/debian/po-debconf/usr/bin/
 	install -m 0644 encodings pot-header $(CURDIR)/debian/po-debconf/usr/share/po-debconf
 	install -m 0644 doc/vi/*.html $(CURDIR)/debian/po-debconf/usr/share/doc/po-debconf/manpages.vi
-	for t in translators submit call; do \
+	for t in translators translators-po submit submit-po call call-po; do \
 		install -m 0644 podebconf-report-po_templates/$$t \
 			$(CURDIR)/debian/po-debconf/usr/share/po-debconf/templates; \
 	done

## po-debconf 1.0.15ubuntu1

=== debian/changelog ===
po-debconf (1.0.15ubuntu1) intrepid; urgency=low

  * podebconf-report-po: Fix opportunistic import of Mail::Box::Manager, to
    avoid crashing with an import error if libmail-box-perl is not installed.
    Now it actually shows the "Please install libmail-box-perl" message, as
    the code intends to. Thanks to Colin Watson for suggesting this fix!
  * Drop libmail-box-perl to Suggests:. It is not needed for most users of
    po-debconf, drags in lots of more packages, and with above fix the failure
    mode of podebconf-report-po is adequate.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Oct 2008 13:52:04 +0200

=== debian/control ===
Source: po-debconf
Section: devel
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 4.0.0), po4a (>= 0.33)
Build-Depends-Indep: perl

Package: po-debconf
Architecture: all
Depends: perl, gettext (>= 0.16), intltool-debian (>= 0.34.2+20060512)
Recommends: libmail-sendmail-perl, libcompress-zlib-perl
Suggests: libmail-box-perl
Description: manage translated Debconf templates files with gettext
 This package is an alternative to debconf-utils and provide tools
 to manage translated Debconf templates files with common gettext
 utilities.

## po-debconf 1.0.16

=== debian/changelog ===
po-debconf (1.0.16) unstable; urgency=low

  [ packaging ]
  * debian/control: Standards-Version bumped to 3.8.1. No changes.
  * debian/compat: Bumped to 7.
  * debian/rules: Replace dh_clean -k by dh_prep.
  * debian/control: Updated build dependency on debhelper (>= 7.0.0).

  [ debconf-updatepo ]
  * Fix the support for --msgid-bugs-address. Thanks to Felix Zielcke.
    Closes: #503523

  [ podebconf-report-po ]
  * Apply patches from 1.0.15ubuntu1
    - Fix opportunistic import of Mail::Box::Manager, to avoid crashing with
      an import error if libmail-box-perl is not installed.  Now it actually
      shows the "Please install libmail-box-perl" message, as the code intends
      to. Thanks to Colin Watson for suggesting this fix!
    - Drop libmail-box-perl to Suggests:. It is not needed for most users of
      po-debconf, drags in lots of more packages, and with above fix the
      failure mode of podebconf-report-po is adequate.
    - Closes: #503086, #519868
  * podebconf-report-po: If the postponed mailbox does not exist, create it.
    Closes: #519870

  [ documentation ]
  * doc/en/po-debconf.7.pod: encourage __Choices instead of _Choices.
    Closes: #495352
  * doc/po4a/po/vi.po: Updated Vietnamese translation. Thanks to Clytie
    Siddall. Closes: #513800
  * doc/en/po-debconf.7.pod: document the debugging process. Thanks to James
    R. Van Zandt. Closes: #505393
  * debian/control: English fixes in the package description. Closes: #508454
  * debian/control: Update build dependencies for po4a (>= 0.36) and
    perl (>= 5.10) to get a proper support of UTF-8 manpages from POD
    documents.
  * doc/po4a/po/*.po, doc/po4a/add_*/translator.*: convert to UTF-8, 
  * doc/po4a/po-debconf.cfg: Generate all translated POD document in UTF-8.
  * doc/Makefile: COnvert to UTF-8, use the -utf8 pod2man option.
    Closes: #510485

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun, 05 Apr 2009 16:05:55 +0200

## po-debconf 1.0.16%2Bnmu2ubuntu1

=== debian/changelog ===
po-debconf (1.0.16+nmu2ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Mark po-debconf Multi-Arch: foreign.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Feb 2012 12:49:40 -0800

po-debconf (1.0.16+nmu2) unstable; urgency=low

  * Non-maintainer upload
  * Fix pending issues. Manpages translations:
    - Spanish (Omar Campagne). Closes: #604637
  * Add the package name in POT headers. Thanks to
    David Prévot for the patch. Closes: #622132
  * Re-lintiancleanize the package:
    - add ${misc:Depends} to dependencies
    - add build-arch and build-indep targets to debian/rules
    - bump Standards to 3.9.2 (checked)
  * Modernize the package:
    - bump debhelper compatibility level to 8
    - use "3.0 (native)" source format

 -- Christian Perrier <bubulle@debian.org>  Thu, 29 Dec 2011 17:38:08 +0100

po-debconf (1.0.16+nmu1ubuntu1) precise; urgency=low

  * Mark po-debconf Multi-Arch: foreign.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 06 Nov 2011 19:17:48 -0800

po-debconf (1.0.16+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Manpages translations:
    - French (Christian Perrier). Closes: #597432
    - Russian (Yuri Kozlov). Closes: #602268
    - Vietnamese (Clytie Siddall). Closes: #602680 
    - German (Helge Kreutzmann). Closes: #602719 
    - Portuguese (Miguel Figueiredo). Closes: #602968

 -- David Prévot <david@tilapin.org>  Tue, 09 Nov 2010 18:36:01 -0400

=== debian/control ===
Source: po-debconf
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), po4a (>= 0.36)
Build-Depends-Indep: perl (>= 5.10)

Package: po-debconf
Architecture: all
Multi-Arch: foreign
Depends: perl, gettext (>= 0.16), intltool-debian (>= 0.34.2+20060512), ${misc:Depends}
Recommends: libmail-sendmail-perl, libcompress-zlib-perl
Suggests: libmail-box-perl
Description: tool for managing templates file translations with gettext
 This package is an alternative to debconf-utils, and provides tools
 for managing translated debconf templates files with common gettext
 utilities.

## po-debconf 1.0.16+nmu1

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = $(shell cd ..; dpkg-parsechangelog | grep -m 1 Version | sed -e 's/Version: //' -e 's/-.*//' -e 's/[[:blank:]]*//g')
 
-pod2man = pod2man -r '' -c po-debconf
+pod2man = pod2man -utf8 -r '' -c po-debconf
 
 MANS = debconf-gettextize.1 debconf-updatepo.1 \
   po2debconf.1 podebconf-display-po.1 podebconf-report-po.1 \
@@ -22,13 +22,13 @@
 # Fix the POD quotes (--quotes is not sufficient for the French quotes) \
 	    case $$l in \
 	      de) \
-	        sed -i -e 's/ds C` ""$$/ds C` /' \
-	               -e "s/ds C' \"\"$$/ds C' /" \
+	        sed -i -e 's/ds C` ""$$/ds C` »/' \
+	               -e "s/ds C' \"\"$$/ds C' «/" \
 	               $$l/$$p.$$s; \
 	        ;; \
 	      fr) \
-	        sed -i -e 's/ds C` ""$$/ds C` \\ /' \
-	               -e "s/ds C' \"\"$$/ds C' \\\\ /" \
+	        sed -i -e 's/ds C` ""$$/ds C` «\\ /' \
+	               -e "s/ds C' \"\"$$/ds C' \\\\ »/" \
 	               $$l/$$p.$$s; \
 	        ;; \
 	    esac; \

=== debian/control ===
Source: po-debconf
Section: devel
Priority: optional
Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Standards-Version: 3.8.1
Build-Depends: debhelper (>= 7.0.0), po4a (>= 0.36)
Build-Depends-Indep: perl (>= 5.10)

Package: po-debconf
Architecture: all
Depends: perl, gettext (>= 0.16), intltool-debian (>= 0.34.2+20060512)
Recommends: libmail-sendmail-perl, libcompress-zlib-perl
Suggests: libmail-box-perl
Description: tool for managing templates file translations with gettext
 This package is an alternative to debconf-utils, and provides tools
 for managing translated debconf templates files with common gettext
 utilities.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 binary-indep: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 	dh_installdocs README README-trans
 	dh_installdirs

## po-debconf 1.0.16+nmu2

=== debian/control ===
Source: po-debconf
Section: devel
Priority: optional
Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), po4a (>= 0.36)
Build-Depends-Indep: perl (>= 5.10)

Package: po-debconf
Architecture: all
Depends: perl, gettext (>= 0.16), intltool-debian (>= 0.34.2+20060512), ${misc:Depends}
Recommends: libmail-sendmail-perl, libcompress-zlib-perl
Suggests: libmail-box-perl
Description: tool for managing templates file translations with gettext
 This package is an alternative to debconf-utils, and provides tools
 for managing translated debconf templates files with common gettext
 utilities.

## po-debconf 1.0.16+nmu2ubuntu1

=== Makefile ===

prefix 	= /usr/local

all:
	$(MAKE) -C doc
	$(MAKE) fix

fix: debconf-gettextize debconf-updatepo po2debconf

debconf-updatepo po2debconf: FORCE
	@sed \
   -e 's@\(: \$${PODEBCONF_LIB=\)[^}]*}@\1$(prefix)/share/intltool-debian}@' \
   -e 's@\(: \$${PODEBCONF_ENCODINGS=\)[^}]*}@\1$(prefix)/share/po-debconf/encodings}@' \
		$@ > $@.tmp && mv $@.tmp $@
	@chmod a+x $@

debconf-gettextize: FORCE
	@sed \
   -e 's@\(\$$ENV{PODEBCONF_LIB} ||= \)[^;]*;@\1"$(prefix)/share/intltool-debian";@' \
   -e 's@\(\$$ENV{PODEBCONF_ENCODINGS} ||= \)[^;]*;@\1"$(prefix)/share/po-debconf/encodings";@' \
   -e 's@\(\$$ENV{PODEBCONF_HEADER} ||= \)[^;]*;@\1"$(prefix)/share/po-debconf/pot-header";@' \
		$@ > $@.tmp && mv $@.tmp $@
	@chmod a+x $@

reset: FORCE
	@$(MAKE) all prefix=/usr

clean:
	@$(MAKE) -C doc clean
	-@rm -rf tests/tmp

deb:
	fakeroot debian/rules clean
	dh_clean
	dpkg-buildpackage -rfakeroot -ICVS -I.cvsignore -I.scvsrc -I.git -I.gitignore

.PHONY: FORCE fix reset

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 #export DH_VERBOSE=1
 DESTDIR=`pwd`/debian/po-debconf
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE) prefix=/usr

## po-debconf 1.0.16+nmu3

=== debian/changelog ===
po-debconf (1.0.16+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Multi-Arch: foreign (Closes: #658418)

 -- Wookey <wookey@debian.org>  Sat, 21 Jun 2014 19:39:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Depends: perl, gettext (>= 0.16), intltool-debian (>= 0.34.2+20060512), ${misc:Depends}
 Recommends: libmail-sendmail-perl, libcompress-zlib-perl
 Suggests: libmail-box-perl
+Multi-Arch: foreign
 Description: tool for managing templates file translations with gettext
  This package is an alternative to debconf-utils, and provides tools
  for managing translated debconf templates files with common gettext

## po-debconf 1.0.18

=== debian/changelog ===
po-debconf (1.0.18) unstable; urgency=medium

  * Upload to unstable.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 28 Apr 2015 11:38:48 -0300

po-debconf (1.0.17) experimental; urgency=medium

  * New maintainer. (Closes: #774188)
    Thanks to the earlier maintainers:
              Denis Barbier <barbier@debian.org> and
              Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
  * Acknowledge NMUs. thanks to:
            Wookey <wookey@debian.org>. (Closes: #658418)
            Christian Perrier <bubulle@debian.org>. (Closes: #604637, #622132)
            David Prévot <david@tilapin.org>. (Closes: #597432),
                                              (Closes: #602268),
                                              (Closes: #602680),
                                              (Closes: #602719),
                                              (Closes: #602968).
  * debian/copyright remade.
  * debian/control: put my name in Maintainer
                    bump Standards-Version to 3.9.6
                    debhelper >= 9
  * debian/compat: 9
  * debian/rules. added 'doc/es/*.es.[1-7]'. thanks to Omar Campagne
    <ocampagne@gmail.com>. (Closes: #604637)
  * podebconf-report-po: compress the attachments with gzip. thanks to
    Francesco Poli (wintermute) <invernomuto@paranoici.org>.
    'm/^nogzip$/m' -> 'm/^gzip$/m'. (Closes: #689254)
  * podebconf-report-po: added six lines after 'QUESTION' to print a
    list of files and recipients in case checkboxes have been unchecked
    or deleted. thanks to Denis Barbier <bouzim@gmail.com>. (Closes: #589883)

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Sat, 10 Jan 2015 12:12:26 -0200

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 		install -m 0644 podebconf-report-po_templates/$$t \
 			$(CURDIR)/debian/po-debconf/usr/share/po-debconf/templates; \
 	done
-	dh_installman doc/en/*.[1-7] doc/de/*.de.[1-7] doc/fr/*.fr.[1-7] doc/pt/*.pt.[1-7] doc/ru/*.ru.[1-7] doc/vi/*.vi.[1-7]
+	dh_installman doc/en/*.[1-7] doc/es/*.es.[1-7] doc/de/*.de.[1-7] doc/fr/*.fr.[1-7] doc/pt/*.pt.[1-7] doc/ru/*.ru.[1-7] doc/vi/*.vi.[1-7]
 	dh_installchangelogs
 	dh_compress
 	dh_link

## po-debconf 1.0.19

=== debian/changelog ===
po-debconf (1.0.19) unstable; urgency=low

  * debian/copyright updated.
  * debian/dirs removed.
  * debian/docs created.
  * debian/install created.
  * debian/rules:
      - new format - dh.
  * chmod 644 pot-header.
  * doc/en/po-debconf.7.pod:
      - spelling-error-in-manpage.
  * Makefile:
      - prefix = /usr

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Thu, 07 Jan 2016 11:17:02 -0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: po-debconf
 Section: devel
 Priority: optional
-Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8), po4a (>= 0.36)
+Maintainer: Herbert Parentes Fortes Neto <hpfn@ig.com.br>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), po4a (>= 0.36)
 Build-Depends-Indep: perl (>= 5.10)
 
 Package: po-debconf

## po-debconf 1.0.20

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-prefix 	= /usr/local
+prefix 	= /usr
 
 all:
 	$(MAKE) -C doc

=== doc/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	     --package-version $(VERSION) \
 	     --msgid-bugs-address po-debconf@packages.debian.org \
 	     po4a/po-debconf.cfg
-	for l in de en fr pt ru vi; do \
+	for l in de en es fr pt ru vi; do \
 	  for m in $(MANS); do \
 	    test -f $$l/$$m.pod || continue; \
 	    s=`echo $$m | sed -e 's/.*\.//'`; \

=== debian/changelog ===
po-debconf (1.0.20) unstable; urgency=medium

  * debian/control:
      - Updated my email.
      - Bump Standards-Version from 3.9.6 to 3.9.8
      - Build-Depends: debhelper 10
  * debian/compat:
      - 10
  * debian/copyright:
      - Updated my email.
  * doc/po4a/po/*.po:
      - fuzzy msgid removed. (Closes: #839213) Thanks Baptiste Jammet.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 01 Oct 2016 11:23:03 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: po-debconf
 Section: devel
 Priority: optional
-Maintainer: Herbert Parentes Fortes Neto <hpfn@ig.com.br>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), po4a (>= 0.36)
+Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), po4a (>= 0.36)
 Build-Depends-Indep: perl (>= 5.10)
 
 Package: po-debconf

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_installman:
	dh_installman doc/en/*.[1-7] doc/es/*.es.[1-7] doc/de/*.de.[1-7] doc/fr/*.fr.[1-7] doc/pt/*.pt.[1-7] doc/ru/*.ru.[1-7] doc/vi/*.vi.[1-7]

## po-debconf 1.0.21

=== debian/changelog ===
po-debconf (1.0.21) unstable; urgency=medium

  * DH_LEVEL: 11
  * debian/control:
      - Bump Standards-Version from 3.9.8 to 4.2.1
      - Depends field - add sensible-utils
  * debian/copyright:
      - Format field with https
      - Update year for myself
      - Update year for Helge Kreutzmann
  * debian/{changelog, rules}:
      - Remove trailing whitespaces
  * debian/tests:
      - Run upstream tests
  * doc/po4a/po/de.po:
      - Update file. Thanks Helge Kreutzmann (Closes: #904481)
  * tests:
      - Update po test files:
          - some lines were over 80 columns:
              - results/01/po/fr.po
          - Add Language field:
              - 04/po/fr.po
              - results/01/po/{pt_BR, fr}.po
              - results/04/po/templates.pot
  * run wrap-and-sort

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Tue, 20 Nov 2018 09:20:37 -0200

## po-debconf 1.0.21+nmu1

=== debian/changelog ===
po-debconf (1.0.21+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 30 Dec 2020 02:09:19 +0100

=== debian/control ===
Source: po-debconf
Section: devel
Priority: optional
Maintainer: Herbert Parentes Fortes Neto <hpfn@debian.org>
Standards-Version: 4.2.1
Build-Depends: debhelper (>= 11), po4a (>= 0.36)
Build-Depends-Indep: perl (>= 5.10)

Package: po-debconf
Architecture: all
Depends: gettext (>= 0.16),
         intltool-debian (>= 0.34.2+20060512),
         perl,
         sensible-utils,
         ${misc:Depends}
Recommends: libcompress-zlib-perl, libmail-sendmail-perl
Suggests: libmail-box-perl
Multi-Arch: foreign
Description: tool for managing templates file translations with gettext
 This package is an alternative to debconf-utils, and provides tools
 for managing translated debconf templates files with common gettext
 utilities.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,3 @@
 
 override_dh_installman:
 	dh_installman doc/en/*.[1-7] doc/es/*.es.[1-7] doc/de/*.de.[1-7] doc/fr/*.fr.[1-7] doc/pt/*.pt.[1-7] doc/ru/*.ru.[1-7] doc/vi/*.vi.[1-7]
-

=== debian/tests/control ===
Tests: upstream-tests.sh

## po-debconf 1.0.21+nmu1build1

=== debian/changelog ===
po-debconf (1.0.21+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 15:07:23 +0100

## po-debconf 1.0.21+nmu2

=== debian/changelog ===
po-debconf (1.0.21+nmu2) unstable; urgency=medium

  * deepin beta3 rebuild No source change upload.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 04 Jan 2024 15:06:48 +0800

## po-debconf 1.0.22

=== doc/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
   po-debconf.7
 
 default:
+ifneq ($(DEB_BUILD_PROFILE),stage1)
 	po4a -v --previous --rm-backups \
 	     --package-name po-debconf \
 	     --package-version $(VERSION) \
@@ -42,8 +43,11 @@
 	    test -f vi/$$m.pod || continue; \
 	    pod2html --quiet --noindex vi/$$m.pod > vi/$$m.html; \
 	done
+endif
 
 clean:
+ifneq ($(DEB_BUILD_PROFILE),stage1)
 	po4a --previous --rm-translations --rm-backups po4a/po-debconf.cfg
+endif
 	-rm -f de/*.? en/*.? fr/*.? pt/*.? ru/*.? vi/*.? vi/*.?.html pod2htmd.tmp pod2htmi.tmp

=== debian/changelog ===
po-debconf (1.0.22) unstable; urgency=medium

  * QA upload.
    There is an open ITA bug #986937 but for the moment clarify that
    maintainership is open

  [ Andreas Tille ]
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * NMU bugs should be confirmed
    Closes: #986937, #653591
  * d/copyright: Remove old FSF address

  [ Daniel Schepler ]
  * Enable bootstrapping without po4a
    Closes: #709624

 -- Andreas Tille <tille@debian.org>  Sun, 07 Dec 2025 07:19:27 +0100

=== debian/control ===
Source: po-debconf
Standards-Version: 4.7.2
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 po4a,
Build-Depends-Indep:
 perl,
Vcs-Browser: https://salsa.debian.org/debian/po-debconf
Vcs-Git: https://salsa.debian.org/debian/po-debconf.git

Package: po-debconf
Architecture: all
Multi-Arch: foreign
Depends:
 gettext,
 intltool-debian,
 ${perl:Depends},
 sensible-utils,
 ${misc:Depends},
Recommends:
 libcompress-zlib-perl,
 libmail-sendmail-perl,
Suggests:
 libmail-box-perl,
Description: tool for managing templates file translations with gettext
 This package is an alternative to debconf-utils, and provides tools
 for managing translated debconf templates files with common gettext
 utilities.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 	dh $@
 
 override_dh_installman:
+ifneq ($(DEB_BUILD_PROFILE),stage1)
 	dh_installman doc/en/*.[1-7] doc/es/*.es.[1-7] doc/de/*.de.[1-7] doc/fr/*.fr.[1-7] doc/pt/*.pt.[1-7] doc/ru/*.ru.[1-7] doc/vi/*.vi.[1-7]
+endif
